Subject: Re: [Bugme-new] [Bug 10600] New: e1000 updates rx_bytes infrequently

From: Ben Liblit <[email-masked]>
Date: Mon, 12 May 2008 01:42:34 -0500

Jesse Brandeburg wrote:
> I found that these commits (to do real time stats update) are in
> 2.6.25-rc1, not 2.6.24, it would be great if you were able to try a
> newer kernel version to verify that these fixes work for you.

I'm now running a self-built 2.6.25.3 kernel.  I confirm that rx_bytes 
updates as frequently as I'm reasonably able to check it.

Furthermore, the e1000e driver included with 2.5.25.3 works on my 
hardware when using this kernel.  Both e1000 and e1000e work, and 
rx_bytes is updated promptly when using either driver.

Problem solved.